# Interface MeshSymbol3DJson

MeshSymbol3D is used to render 3D mesh features in a SceneLayer in a 3D SceneView.

See https://developers.arcgis.com/web-scene-specification/objects/meshSymbol3D/.

interface MeshSymbol3DJson {
symbolLayers: FillSymbol3DLayerJson[];
type: "MeshSymbol3D";
}

#### Hierarchy (view full)

- Symbol3DJsonBase
  - MeshSymbol3DJson

#####
Index

### Properties

symbolLayers
type

##
Properties

### symbolLayers

symbolLayers: FillSymbol3DLayerJson[]

A Collection of Symbol3DLayer objects used to visualize the graphic or feature.

Overrides Symbol3DJsonBase.symbolLayers

### type

type

The type of symbol. See SymbolJsonType.

Overrides Symbol3DJsonBase.type